
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EmpresaTrocoSimples;


public class RenderEmpresaTrocoSimples implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		EmpresaTrocoSimples e = (EmpresaTrocoSimples) o;

		Listcell lc = new Listcell(e.getEmpresa().getNombempresa());
		lc.setParent(lstm);

		lc = new Listcell(e.getCnpj());
		lc.setParent(lstm);

		lc = new Listcell(e.getValorSugerirTroco() != null ? e.getValorSugerirTroco().toString() :"");
		lc.setParent(lstm);

		lstm.setAttribute("data", e);
	}
}
